PORT-SYNC(1)

NAME
port-sync - Update the port definition files

SYNOPSIS

port [-qvd] sync

DESCRIPTION

port sync updates the local port definitions (the so-called ports tree) to the latest state so you have the latest versions of ports available. You should normally not run port sync directly, but use port selfupdate, which updates MacPorts itself and then proceeds to do the same operation as sync does. You can, however, use port sync if you know that selfupdate does not work on your system or in your network environment, for example because your network administrator blocks outbound rsync connections and you have changed your sources.conf(5) to use a different method of obtaining the ports tree.

Running sync is required to get updated software with bug fixes and new features.

    Warning

    When you use port sync, it is your responsibility to check whether new updates are available for MacPorts itself, and update them, when necessary. The MacPorts project will start to use new features in port definitions one week after the release of the new version, and you may run into problems when your MacPorts version has not been updated.

GLOBAL OPTIONS

Please see the section GLOBAL OPTIONS in the port(1) man page for a description of global port options.

-q
    Suppress status output, be as silent as possible.

SEE ALSO

port(1), port-selfupdate(1)

AUTHORS

    (C) 2015 The MacPorts Project
    Clemens Lang <cal@macports.org>